Guru question: in LISP, can you save a VIEW, with the UCS, but...

Discussion in 'AutoCAD' started by GTASteve, Oct 22, 2004.

  1. GTASteve

    GTASteve Guest

    Guru question: in LISP, can you save a VIEW, with the UCS, but... not display the:

    "UCSVIEW = 1 UCS will be saved with view" prompt after setting the view?

    Cheers.
     
    GTASteve, Oct 22, 2004
    #1
  2. GTASteve

    Tom Smith Guest

    You could entmake the view with something like:

    (defun makeview (viewname center height width twist)
    (entmake (append
    '((0 . "VIEW")
    (100 . "AcDbSymbolTableRecord")
    (100 . "AcDbViewTableRecord")
    (11 0.0 0.0 1.0)
    (42 . 50.0)
    (70 . 0)
    (71 . 0)
    (72 . 1)
    (79 . 0)
    (110 0.0 0.0 0.0)
    (146 . 0.0))
    (list
    (cons 2 viewname)
    (cons 10 center)
    (cons 40 height)
    (cons 41 width)
    (cons 50 twist)))))

    The 72 group deals with the UCS association.
     
    Tom Smith, Oct 22, 2004
    #2
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.